#pragma once


// CLogEdit

class CLogEdit : public CEdit
{
    DECLARE_DYNAMIC(CLogEdit)

public:
    CLogEdit();
    virtual ~CLogEdit();

protected:
    DECLARE_MESSAGE_MAP()

public:

    void AddLine(LPCTSTR szLine, int nIndex = -1, bool bNewLine = true);
    void Clear() { SetWindowText(""); }

    afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
    afx_msg void OnRButtonDown(UINT nFlags, CPoint point);

protected:

    CString m_szTempLine;
};

